Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.client.swift
Class SwiftResponse

    java.lang.Object
      com.intel.cosbench.client.swift.SwiftResponse

    public class SwiftResponse

extends java.lang.Object

This class encapsulates one wrapper of http response.

Author:
  ywang19

Constructor Summary
`SwiftResponse(org.apache.http.HttpResponse response)`

Method Summary
`void` | `consumeResposeBody()`
`long` | `getAccountBytesUsed()`
`int` | `getAccountContainerCount()`
`java.lang.String` | `getAuthToken()`
`long` | `getContainerBytesUsed()`
`int` | `getContainerObjectCount()`
`java.io.InputStream` | `getResponseBodyAsStream()`
`org.apache.http.Header` | `getResponseHeader(java.lang.String headerName)`
`org.apache.http.Header[]` | `getResponseHeaders()`
`int` | `getStatusCode()`
`org.apache.http.StatusLine` | `getStatusLine()`
`java.lang.String` | `getStatusMessage()`
`java.lang.String` | `getStorageURL()`
`boolean` | `loginSuccess()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwiftResponse

    public SwiftResponse(org.apache.http.HttpResponse response)

Method Detail

### getStatusLine

    public org.apache.http.StatusLine getStatusLine()

### getStatusCode

    public int getStatusCode()

### getStatusMessage

    public java.lang.String getStatusMessage()

### getResponseHeader

    public org.apache.http.Header getResponseHeader(java.lang.String headerName)

### getResponseHeaders

    public org.apache.http.Header[] getResponseHeaders()

### consumeResposeBody

    public void consumeResposeBody()
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### getResponseBodyAsStream

    public java.io.InputStream getResponseBodyAsStream()
                                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### loginSuccess

    public boolean loginSuccess()

### getAuthToken

    public java.lang.String getAuthToken()

### getStorageURL

    public java.lang.String getStorageURL()

### getContainerBytesUsed

    public long getContainerBytesUsed()

### getContainerObjectCount

    public int getContainerObjectCount()

### getAccountBytesUsed

    public long getAccountBytesUsed()

### getAccountContainerCount

    public int getAccountContainerCount()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD